Debian Bug report logs - #630896
qa.debian.org: PTS SOAP interface always returns HTTP 500 Internal Server Error

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Alexandre Rossi <alexandre.rossi@gmail.com>

Date: Sat, 18 Jun 2011 14:57:01 UTC

Severity: normal

Merged with 539377, 540617, 540675

Done: Raphael Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#630896; Package qa.debian.org. (Sat, 18 Jun 2011 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Sat, 18 Jun 2011 14:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: PTS SOAP interface always returns HTTP 500 Internal Server Error
Date: Sat, 18 Jun 2011 16:55:30 +0200
Package: qa.debian.org
Severity: normal

Hi,

My small script that queries the PTS SOAP interface does not work anymore.

A simple script always fails.

$ cat test.py
#!/usr/bin/python
import SOAPpy
url = 'http://packages.qa.debian.org/cgi-bin/soap-alpha.cgi'
ws = SOAPpy.SOAPProxy(url)
print ws.versions(source="ocaml")['unstable']
print ws.uploaders(source="ocaml")[1]['name']
niol@annalee:~/local/tmp$ python test.py
Traceback (most recent call last):
  File "test.py", line 5, in <module>
    print ws.versions(source="ocaml")['unstable']
  File "/usr/lib/pymodules/python2.6/SOAPpy/Client.py", line 470, in __call__
    return self.__r_call(*args, **kw)
  File "/usr/lib/pymodules/python2.6/SOAPpy/Client.py", line 492, in __r_call
    self.__hd, self.__ma)
  File "/usr/lib/pymodules/python2.6/SOAPpy/Client.py", line 363, in __call
    config = self.config)
  File "/usr/lib/pymodules/python2.6/SOAPpy/Client.py", line 252, in call
    raise HTTPError(code, msg)
SOAPpy.Errors.HTTPError: <HTTPError 500 Internal Server Error>

Please let me know if you need more info.

Alex

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-rc2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#630896; Package qa.debian.org. (Mon, 20 Jun 2011 07:18:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Mon, 20 Jun 2011 07:18:16 GMT) Full text and rfc822 format available.

Message #10 received at 630896@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Alexandre Rossi <alexandre.rossi@gmail.com>, 630896@bugs.debian.org
Cc: zack@debian.org
Subject: Re: Bug#630896: qa.debian.org: PTS SOAP interface always returns HTTP 500 Internal Server Error
Date: Mon, 20 Jun 2011 09:01:27 +0200
Hi,

On Sat, 18 Jun 2011, Alexandre Rossi wrote:
> My small script that queries the PTS SOAP interface does not work anymore.
> A simple script always fails.
>
> SOAPpy.Errors.HTTPError: <HTTPError 500 Internal Server Error>

I guess the CGI must be updated to work with Squeeze's python. Stefano,
can you have a look at it?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#630896; Package qa.debian.org. (Mon, 20 Jun 2011 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Mon, 20 Jun 2011 14:33:05 GMT) Full text and rfc822 format available.

Message #15 received at 630896@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Alexandre Rossi <alexandre.rossi@gmail.com>, 630896@bugs.debian.org
Subject: Re: Bug#630896: qa.debian.org: PTS SOAP interface always returns HTTP 500 Internal Server Error
Date: Mon, 20 Jun 2011 16:32:13 +0200
[Message part 1 (text/plain, inline)]
merge 630896 539377
thanks 

On Mon, Jun 20, 2011 at 09:01:27AM +0200, Raphael Hertzog wrote:
> > SOAPpy.Errors.HTTPError: <HTTPError 500 Internal Server Error>
> 
> I guess the CGI must be updated to work with Squeeze's python.

The problem is more general than that and, sadly, well known. The SOAP
interface needs to be ported to some (not so recent) structural change
to the way PTS webpages export data (see #539377 and friends).

> Stefano, can you have a look at it?

Unfortunately not: as I've made clear in the past, I'm currently on hold
with my PTS and QA contributions and I don't see that changing before
the end of the current DPL term (ETA: Apr 2012). Sorry about that, but I
can't help it.

If OTOH someone would like to step it and take care of that code (which
should be pretty straightforward to maintain), I'll be happy to provide
some guidance.

Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Merged 539377 540617 540675 630896. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 20 Jun 2011 14:33:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#630896; Package qa.debian.org. (Tue, 21 Jun 2011 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 21 Jun 2011 18:33:03 GMT) Full text and rfc822 format available.

Message #22 received at 630896@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 630896@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#630896: qa.debian.org: PTS SOAP interface always returns HTTP 500 Internal Server Error
Date: Tue, 21 Jun 2011 20:30:01 +0200
[Message part 1 (text/plain, inline)]
Hi,

>> > SOAPpy.Errors.HTTPError: <HTTPError 500 Internal Server Error>
>>
>> I guess the CGI must be updated to work with Squeeze's python.
>
> The problem is more general than that and, sadly, well known. The SOAP
> interface needs to be ported to some (not so recent) structural change
> to the way PTS webpages export data (see #539377 and friends).

I think this bug is different and is related to the fact that python-xml has
been removed from Debian and is not in squeeze.

So the way towards fixing this _particular_ issue seems to be, from what I
understand, replacing the module xml.xpath (which does not exist anymore)
usage with something.

The attached patch seems to work on my squeeze box with my quick and dirty
setup of the PTS SOAP interface. Watch for the extra python-lxml dependency.

While I was at it, #539377, #540617 and #540675 all seem to be fixed.

Alex
[Message part 2 (text/html, inline)]
[pts-soap-squeeze.patch (text/x-diff, attachment)]

Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 25 Jun 2011 07:00:04 GMT) Full text and rfc822 format available.

Notification sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug acknowledged by developer. (Sat, 25 Jun 2011 07:00:04 GMT) Full text and rfc822 format available.

Message #27 received at 630896-done@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Alexandre Rossi <alexandre.rossi@gmail.com>, 630896-done@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#630896: qa.debian.org: PTS SOAP interface always returns HTTP 500 Internal Server Error
Date: Sat, 25 Jun 2011 08:56:05 +0200
Hi,

On Tue, 21 Jun 2011, Alexandre Rossi wrote:
> So the way towards fixing this _particular_ issue seems to be, from what I
> understand, replacing the module xml.xpath (which does not exist anymore)
> usage with something.
> 
> The attached patch seems to work on my squeeze box with my quick and dirty
> setup of the PTS SOAP interface. Watch for the extra python-lxml dependency.

Committed even if I can't test on the basis that things can't be worse
than not orking, it should be live already. Thanks for the patch!

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 25 Jun 2011 07:00:04 GMT) Full text and rfc822 format available.

Notification sent to Frederic Peters <fpeters@debian.org>:
Bug acknowledged by developer. (Sat, 25 Jun 2011 07:00:05 GMT) Full text and rfc822 format available.

Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 25 Jun 2011 07:00:05 GMT) Full text and rfc822 format available.

Notification sent to James Vega <jamessan@debian.org>:
Bug acknowledged by developer. (Sat, 25 Jun 2011 07:00:05 GMT) Full text and rfc822 format available.

Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 25 Jun 2011 07:00:06 GMT) Full text and rfc822 format available.

Notification sent to James Vega <jamessan@debian.org>:
Bug acknowledged by developer. (Sat, 25 Jun 2011 07:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#630896; Package qa.debian.org. (Sun, 26 Jun 2011 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sun, 26 Jun 2011 09:45:04 GMT) Full text and rfc822 format available.

Message #47 received at 630896@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: 630896@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>
Subject: Re: Bug#630896: qa.debian.org: PTS SOAP interface always returns HTTP 500 Internal Server Error
Date: Sun, 26 Jun 2011 11:42:02 +0200
On Tue, Jun 21, 2011 at 08:30:01PM +0200, Alexandre Rossi wrote:
> So the way towards fixing this _particular_ issue seems to be, from what I
> understand, replacing the module xml.xpath (which does not exist anymore)
> usage with something.
> 
> The attached patch seems to work on my squeeze box with my quick and dirty
> setup of the PTS SOAP interface. Watch for the extra python-lxml dependency.
> 
> While I was at it, #539377, #540617 and #540675 all seem to be fixed.

Wonderful, thanks for your patch! (and its nice side-effects :))
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:33:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:07:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.